@charset "UTF-8";
* {
    margin:0;
    padding:0;
}
img {
    width:100%;
    height:100%;
    object-fit: cover;
}

a{
    display: block;
    text-decoration: none;
    color: black;
}

#wrap{
    width: 100%;
}

/* header */
header{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px;
    height: 105px;
    background-color: rgb(241, 238, 106);
}
h1{
    width: 20%;
    height: auto;
}
header > p:first-of-type {
    margin-top: 65px;
} 
nav p{width: 70px;
      line-height: 70px;
      background-color: rgb(201, 196, 151);
      text-align: center;
      font-size: 2.3em;
    color: wheat;
}
nav p i{
    
}
ul{
    width: 100%;
    /* display: none; */
    list-style: none;
    position: absolute;
    top: 105px;
    left: 0px;
    z-index: 999;
    font-family: Impact, Haettenschweiler, 'Arial Narrow Bold', sans-serif;
    font-size: 150%;
}

li{
    line-height: 50px;
    background-color: khaki;
    text-align: center;
}
a:hover{
    background-color: rgb(201, 196, 151);
    width:100px;
    height:50px;
    border-radius:70px 0;
    /* background-image: url(images/obi.jpg);  */
}

/* main */
main > div p{
     padding: 20px 0;
     line-height: 1.7em;
     text-align: center;
}

 a{
    text-align: center;
}
main h2{
    line-height: 50PX;
    /* background-image: url(images/obi.jpg); */
    background-color: rgb(241, 238, 106);
    text-align: center;
    position: relative;
    /*position absoluteの基準指定*/
    
}

main h2 span{
    font-size: 14px;
    position: absolute;
    top: 0px;
    left: 70%;
}

main section div{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

main section div P{

    width: 49%;
    height: 155px;
    overflow: hidden;
    

}

main section div p:nth-of-type(-n+4){
    margin-bottom: 10px;
}
main {
    font-family: Impact, Haettenschweiler, 'Arial Narrow Bold', sans-serif;
    background-color: beige;
    background-image: url(images/飛行機の無料素材.svg);
    /* background-repeat: no-repeat; */


}
main section div{
    background-image: url(images/obi.jpg); 
    
}
main{
    background-color: beige;
}

 h3{
    line-height: 50PX;
    background-color: rgb(241, 238, 106);
    text-align: center;
    position: relative;
    
}
main h3{
    background-image: url(images/DSC_12321.JPG); 
}








/* footer */
footer h2{
    background-color: rgb(241, 238, 106);
    text-align: center;
    line-height: 50px;
    font-family: Impact, Haettenschweiler, 'Arial Narrow Bold', sans-serif;
    
}

footer > div{
    display: flex;
    justify-content: space-between;

}
footer > div > p {
    width: 150px;
    
    

}
footer div div {
    padding: 20px;
}
footer img{
    object-fit: contain;
}

/* .slide {
    position: relative;
    overflow: hidden;
    width: 100%;
    height: 300px;
    margin: auto;
    background:rgb(241, 238, 106);
  }
  .slide img {
    display: block;
    position: absolute;
    width: inherit;
    height: inherit;
    left: 100%;
    animation: slide-anime 20s ease infinite;
  }
  .slide img:nth-of-type(1) {animation-delay: 0s;}
  .slide img:nth-of-type(2) {animation-delay: 3s;}
  .slide img:nth-of-type(3) {animation-delay: 6s;}
  .slide img:nth-of-type(4) {animation-delay: 9s;}
  .slide img:nth-of-type(5) {animation-delay: 12s;}
   
  @keyframes slide-anime{
    0% {left: 100%;}
    2% {left: 0;}
    18% {left: 0;}
    20% {left: -100%;}
    100% {left: -100%;}
  } */


/*ループする写真*/
* {
    box-sizing: border-box;
    list-style: none;
    padding: 0;
    margin: 0;
    
  }
  /* body {
    padding: 30px 50px;
  } */
  .content {
    width: 300px;
    height: 300px;
    
  }
  .content:nth-child(1) {
    background-color: rgba(255, 99, 71, 0.452);
  }
  .content:nth-child(2) {
    background-color: orange;
  }
  .content:nth-child(3) {
    background-color:rgba(139, 206, 203, 0.63);
  }
  .content:nth-child(4) {
    background-color: green;
  }
  /* スライドレールの枠 */
  .wrap {
    overflow: hidden;
    display: flex;
    align-items: center;
    height: 340px;
    margin-bottom: 0px;
  }
  /* content4つをまとめたスライドブロック */
  .slideshow {
    display: flex;
    -webkit-animation: loop-slide 20s infinite linear 1s both;
    animation: loop-slide 20s infinite linear 1s both;
  }
  @-webkit-keyframes loop-slide {
    from {
      transform: translateX(0);
    }
    to {
      transform: translateX(-100%);
    }
  }
  @keyframes loop-slide {
    from {
      transform: translateX(0);
    }
    to {
      transform: translateX(-100%);
    }
  }
  /* ホバー時に動きを止める（パターン2・3）*/
  .slide-paused:hover .slideshow {
    -webkit-animation-play-state: paused;
    animation-play-state: paused;
  }
  /* ホバー時の装飾（パターン3） */
  .content-hover {
    transition: all 0.2s;
    margin-right: 20px;
  }
  .content-hover:hover {
    transform: translateY(-20px);
    border-radius: 0 10%;
    box-shadow: 0 3px 10px 0 #333;
    opacity: 0.8;
    cursor: pointer;
  }


  .image_link{
    display:block;
  }
  .image_link img{
    transition:1s;
    display:block;
    width:100%;
  }
  .image_link:hover img{
    opacity:0.8;
  }  
  
  

/* section　写真ホバーした時　色が変わる */
section {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  margin: 0px 0;
}
section h2 {
  flex-basis: 100%;
  text-align: center;
}
section div {
  flex-basis: 100%;
  margin: 5px;
}
section div p {
  position: relative;
}
section div p:after {
  content: "";
  display: block;
  width: 100%;
  height: 100%;
  background: rgba(255, 255, 255, 0);
  position: absolute;
  top: 0;
  left: 0;
}
section div p:hover::after {
  background-image: linear-gradient(120deg, #e9e972d2 0%, #96e6d141 100%);
}
section div p: {
  text-align: center;
}






 


















/* mediaQuery px781以上 */
@media screen and (min-width:781px){
/*  header    */
nav p{
    display: none;
}
ul{
    display: flex;
    position: static;
}
li{
    width: 150px;
    text-align: center;
    background-color: transparent;
}
/*  main  */
main{
    display: flex;
    flex-wrap: wrap;
}
main > div{
    padding-top: 10px;
    width: 100%;
    height: 300px;
    background-image: url(images/DSC_12321.JPG);
    background-repeat: no-repeat;
    background-size: cover;
}

main > div p:first-of-type{
    margin-left: 20px;
    width: 500px;
    background-color: rgba(255, 255, 255, 0.5);
}

main > div p:last-of-type{
    width: 100%;
}

main section{
    width: 48%;
    background-image: url(images/obi.jpg); 
}

main section:first-of-type{
    margin-left: 2%;
}

main section:last-of-type{
    margin-right: 2%;
}
main section:first-of-type div{
    margin-right: 1%;
}
main section:last-of-type div{
    margin-left: 1%;
}
#kaisha {
    display: flex;
    justify-content: center;
}
/* footer */
footer{
    /* background-image: url(images/DSC_12321.JPG); */
    background-repeat: no-repeat;
    background-position: right -10px bottom -30px;
    background-size: 50%;

}

/* footer > div{
    width: 35%;
    
} */
}

#scrollTop{
    position: fixed;
    bottom: 20px;
    right: 10px;
    font-size: 2em;
}






















 /*ハートのアニメーション/* 
/* ボタン本体のスタイル */
.heart-button {
    margin: 0 auto;
    width: 200px;
    text-align: center;

    /* ボタン要素の大きさや色 */
    position: relative;
    display: inline-block;
    background-color: none;
    padding: 0.8em 2.4em;
    border-radius: 5px;
    border: 2px solid transparent;
  
    /* ボタンの文字の設定 */
    font-family: fantasy;
    font-weight: bold;
    font-size: 20px;
    color: #fff;
    letter-spacing: 0.1em;
  
    /* その他必要なスタイル */
    transition: all 0.3s ease;
    cursor: pointer;
    text-decoration: none;
  }
  
  /* ハートの共通スタイル */
  .heart-button::before,
  .heart-button::after {
    content: "";
    background-size: contain;
    background-repeat: no-repeat;
    width: 35px;
    height: 35px;
    position: absolute;
    opacity: 0;
  }
  
  /* 左上のハートのスタイル */
  .heart-button:hover::before {
    background-image: url('heart.svg');
    top: 0;
    left: 35%;
  }
  
  /* 右下のハートのスタイル */
  .heart-button:hover::after {
    background-image: url('heart-reverse.svg');
    bottom: -6px;
    right: 35%;
  }
  
  /* ========= ホバー時のスタイル ======== */
  
  /* ボタンホバー時のスタイル */
  .heart-button:hover {
    background-color: rgba(241, 239, 106, 0.176);
    border-color: none;
    color: #ef4b53;
  }
  
  /* ボタンホバー時の左上のハートのスタイル */
  .heart-button:hover::before {
    animation: heart 1.5s infinite ease-out;
  }
  
  /* ボタンホバー時の右下のハートのスタイル */
  .heart-button:hover::after {
    animation: heart 1.5s 0.2s infinite ease-out;
  }
  
  /* ========= アニメーションの設定 ======== */
  @keyframes heart {
    0% {
      transform: translateY(0) scale(1);
      opacity: 0;
    }
    25% {
      opacity: 1;
    }
    75% {
      opacity: 1;
    }
    100% {
      transform: translateY(-20px) scale(1.4);
      opacity: 0;
    }
  }
  
  /* ========= SPのスタイル ======== */
  @media screen and (max-width: 768px) {
  
    /* ボタン本体のスタイル */
    .heart-button {
      background-color: rgba(255, 255, 255, 0);
      border-color: rgba(255, 255, 255, 0);
      color: #ef4b53;
    }
    
    /* 左上のハートのスタイル */
    .heart-button::before {
      animation: heart 1.5s infinite ease-out;
    }
  
    /* 右下のハートのスタイル */
    .heart-button::after {
      animation: heart 1.5s 0.2s infinite ease-out;
    }
  }


